Skip to main content
GET
/
agents
/
instances
/
{instance_id}
/
plan
Get Instance Plan
curl --request GET \
  --url https://api.example.com/agents/instances/{instance_id}/plan
{
  "instance_id": "<string>",
  "steps": [
    {
      "title": "<string>",
      "status": "planned",
      "started_at": "<string>",
      "completed_at": "<string>"
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

instance_id
string
required

Response

Successful Response

Reconstructed plan for an agent instance, derived from log events.

Attributes: instance_id: Agent instance this plan belongs to. steps: Ordered list of plan steps with current status. created_at: When the plan was first created. updated_at: When the plan was last modified.

instance_id
string
required
steps
PlanStep · object[]
created_at
string | null
updated_at
string | null